#ifndef __VENDOR_H
#define __VENDOR_H

#if 0
//#define DBG() fprintf( stderr, "%s->%s(%d)\n",__FILE__,__FUNCTION__,__LINE__)
//#define dbg_printf(fmt, args...) fprintf(stderr, "(%s->%s(%d)) " fmt "\n", __FILE__,__FUNCTION__,__LINE__,##args)
#define DBG() printf( "%s->%s(%d)\n",__FILE__,__FUNCTION__,__LINE__)
#define dbg_printf(fmt, args...) printf( "(%s->%s(%d)) " fmt "\n", __FILE__,__FUNCTION__,__LINE__,##args)
#define CGIDEBUG 1
#else
#define DBG()
#define dbg_printf(fmt, args...)
#define CGIDEBUG 1
#endif

/* Change some default values to pass the wifi test. This should be 0 for normal firmware. */
#define WIFI_TEST 0
/* Apply the new changes for v1.4.xx or later since NETGEAR wants some firmware based on v1.3.xx.*/
#define V_1_4_XX 1

/* Default values */
#define UPNP_ADV_PERIOD_DEFAULT "1800"
#define UPNP_ADV_TTL_DEFAULT "4"

#define SIP_PROXY_CONF_FILE "/tmp/siproxd.conf"

#if __COUNTRY_JP
#define LANGUAGE_FILE "language_JP.js"
#define CHARSET "Shift-JIS"
#define DAYLIGHT_SAVING_DEFAULT "0"
#elif __COUNTRY_GR
#define LANGUAGE_FILE "language_GR.js"
#define CHARSET "iso-8859-1"
#define DAYLIGHT_SAVING_DEFAULT "0"
#else
#define LANGUAGE_FILE "language.js"
#define CHARSET "iso-8859-1"
#define DAYLIGHT_SAVING_DEFAULT "1"
#endif

#define PORTFW_NUM 20
#define MAX_IP_RESERVATION_NUM 30
#if NETGEAR
#define	PortTriggerListSize		20
#else
#define	PortTriggerListSize		10
#endif
#define MAX_PORT_TRIGGER_NUM PortTriggerListSize

#define DEFAULT_DELAY_TIME "53"

#if FOR_AP
#define VENDOR_WAN_IP "192.168.0.233"
#define VENDOR_WAN_GW "192.168.0.1"
#define VENDOR_WAN_MASK "255.255.255.0"
#define VENDOR_WAN_PROTO "static"
#else
#define VENDOR_WAN_IP "0.0.0.0"
#define VENDOR_WAN_GW "0.0.0.0"
#define VENDOR_WAN_MASK "0.0.0.0"
#define VENDOR_WAN_PROTO "dhcp"
#endif

#define FW_VERSION "1.0.3"
#define MY_FW_VERSION FW_VERSION" 2006_05_23"
#define HW_VERSION "WRTR_136G_v01"
#define VENDOR_DOMAIN ""
#define VENDOR_SSID "MIMO"
#define AUTH_TITLE "MIMO"
#define REMOTE_PING "0"
#define DHCP_LEASE_TIME "0"
#define PPPOE_MTU "1492"
#define PPPOE_IDLETIME "15"
#define PPTP_MTU "1436"
#define PPTP_IDLETIME "15"
#ifdef FR
#define VENDOR_CHANNEL "10"
#else
#define VENDOR_CHANNEL "6"
#endif
#define VENDOR_LAN_IP "192.168.1.1"
#define TIME_INDEX "001"
#define TIME_DIFF "001+12:00"
#define AUTH_USERNAME ""
#define AUTH_PASSWORD "admin"
#define DHCPS_START_IP "100"
#define DHCPS_END_IP "149"
#define UPNP_ENABLED "1"
#define MODEL_NAME "WNRG01"
#define MODEL_NAME_U "WNRG01"
#define MODEL_NAME_L "wnrg01"
#define VENDOR_COM_L "wl"
#define VENDOR_COM_U "WL"

#define CONFIG_FILE "/var/config.bin"

#define SECURITY_LOG "/var/log/security.log"

#define WL_MAC_NAME "wl0_macaddr"
#define WL2_MAC_NAME "wl1_macaddr"

#define WANLINK_FILE "/proc/wanLink"
#define LAN_STATUS_FILE "/proc/lanStatus"

#if MARVELL_BOARD
#define WL_IFNAME		"ap0"
#define WL2_IFNAME		"ap1"
#else
#define WL_IFNAME		"ra0"
#endif

#if MARVELL_BOARD

#define WL_STA_LIST_FILE "/tmp/stalist"
/*
#define WL_DRIVER_VERSION "ap8x-2.0.1.p2"
#define WL_DRIVER_VERSION "ap8x-2.0.3.p3"
#define WL_DRIVER_VERSION "ap8x-2.0.4.p6"
#define WL_DRIVER_VERSION "ap8x-2.0.6.p6"
#define WL_DRIVER_VERSION "ap8x-2.0.6.p7"
#define WL_DRIVER_VERSION "ap8x-2.0.6.p10"
#define WL_DRIVER_VERSION "ap8x-2.0.6.p11"
#define WL_DRIVER_VERSION "ap8x-2.0.6.p12"
#define WL_DRIVER_VERSION "ap8x-2.1.0.p0"
#define WL_DRIVER_VERSION "ap8x-2.1.0.p2" //Beta version
#define WL_DRIVER_VERSION "ap8x-2.1.0.p3" 
#define WL_DRIVER_VERSION "ap8x-2.1.0.p4"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p1"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p2"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p7"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p9"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p10"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p14"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p18"
#define WL_DRIVER_VERSION "ap8x-2.1.1.p19"
#define WL_DRIVER_VERSION "ap8x-2.1.2.p4"
#define WL_DRIVER_VERSION "ap8x-2.1.2.p7"
#define WL_DRIVER_VERSION "ap8x-2.1.2.p9"
#define WL_DRIVER_VERSION "ap8x-2.1.2.p10"
#define WL_DRIVER_VERSION "ap8x-2.1.3.p8-IOT"
#define WL_DRIVER_VERSION "ap8x-2.1.3.p8-IOT-p2"
#define WL_DRIVER_VERSION "ap8x-2.1.4.p7"
#define WL_DRIVER_VERSION "ap8x-2.1.4.p9"
#define WL_DRIVER_VERSION "ap8x-2.1.4.p12"
#define WL_DRIVER_VERSION "ap8x-2.1.4.p13"
#define WL_DRIVER_VERSION "ap8x-2.1.4.p18-x"
#define WL_DRIVER_VERSION "ap8x-2.1.5.p1"
#define WL_DRIVER_VERSION "ap8x-2.1.5.p2-x"
*/
/* for rmmod */

#if FOR_DUALBAND
#define WL_DRIVER_VERSION "ap8x-2.1.5.p2-x"
#else
#define WL_DRIVER_VERSION "ap8x-2.1.11.p0"
//#define WL_DRIVER_VERSION "ap8x-2.1.10.p7"
//#define WL_DRIVER_VERSION "ap8x-2.1.9.p18"
#endif
#define WL2_DRIVER_VERSION "ap8x-2.1.5.p2-x"

/* for insmod */
#define WL_DRIVER WL_DRIVER_VERSION".o" 
#define WL2_DRIVER WL2_DRIVER_VERSION".o" 

/*
With driver v2.1.0.p0, only execute
wmmedcaap "0 7 15 1 188 94"
wmmedcasta "0 7 15 2 188 94 0"
guardint 2   (long)

With driver v2.1.0.p2, do NOT need
wmmdecaap "0 7 15 1 188 94"

With driver v2.1.0.p3, NO wmmedcaap and wmmedcasta are needed.
guardint 0   (auto)
*/
#if 1 /* new paramters from ap8x-2.0.6.p12 */
#define WMMEDCAAP_1 "0 7 15 1 188 94"
#define WMMEDCAAP_2 "1 7 15 1 188 94"
#define WMMEDCASTA_1 "0 7 15 2 188 94 0"
#define WMMEDCASTA_2 "1 7 15 2 188 94 0"
#else
#define WMMEDCAAP_1 "0 3 7 2 102 47"
#define WMMEDCAAP_2 "1 3 7 2 102 47"
#define WMMEDCASTA_1 "0 3 7 2 102 47 0"
#define WMMEDCASTA_2 "1 3 7 2 102 47 0"
#endif

#define AC_BE "0"
#define AC_BK "1"
#define AC_VI "2"
#define AC_VO "3"

#if 1
#define WL_WMM_AP_AC_BK_DEFAULT "1 15 1023 7 0 0"
/* v1.4.25 */
#define WL_WMM_AP_AC_BE_DEFAULT "0 15 63 3 0 0"
/* v1.4.24 */
//#define WL_WMM_AP_AC_BE_DEFAULT "0 15 63 3 0 0"
//#define WL_WMM_AP_AC_BE_DEFAULT "0 4 15 2 0 0"
#define WL_WMM_AP_AC_VI_DEFAULT "2 7 15 1 188 94"
#define WL_WMM_AP_AC_VO_DEFAULT "3 3 7 1 102 47"
#define WL_WMM_STA_AC_BK_DEFAULT "1 15 1023 7 0 0 0"
#define WL_WMM_STA_AC_BE_DEFAULT "0 15 1023 3 0 0 0"
#define WL_WMM_STA_AC_VI_DEFAULT "2 7 15 2 188 94 0"
#define WL_WMM_STA_AC_VO_DEFAULT "3 3 7 2 102 47 0"

#else
/* For BGN mixed mode */
#define WL_WMM_AP_AC_BK_DEFAULT "1 15 1023 7 0 0"
#define WL_WMM_AP_AC_BE_DEFAULT "0 15 1023 7 0 0"
#define WL_WMM_AP_AC_VI_DEFAULT "2 7 15 1 188 94"
#define WL_WMM_AP_AC_VO_DEFAULT "3 3 7 1 102 47"
#define WL_WMM_STA_AC_BK_DEFAULT "1 15 1023 7 0 0 0"
#define WL_WMM_STA_AC_BE_DEFAULT "0 15 1023 7 0 0 0"
#define WL_WMM_STA_AC_VI_DEFAULT "2 7 15 2 188 94 0"
#define WL_WMM_STA_AC_VO_DEFAULT "3 3 7 1 102 47 0"
#endif

/* Fix rate */
#define WL_FIX_RATE_AUTO "0"
#define WL_FIX_RATE_WITH_AUTO_RATE_DROP "1"
#define WL_FIX_RATE_WITHOUT_AUTO_RATE_DROP "2"
#define WL_FIX_RATE_DEFAULT WL_FIX_RATE_AUTO

/* Aggregation MSDU */
#define WL_AMSDU_DISABLED "0"
#define WL_AMSDU_4K "1"
#define WL_AMSDU_8K "2"
#define WL_AMSDU_DEFAULT WL_AMSDU_8K 

/* AMPDU factor */
#define WL_AMPDU_FACTOR_0 "0"
#define WL_AMPDU_FACTOR_1 "1"
#define WL_AMPDU_FACTOR_2 "2"
#define WL_AMPDU_FACTOR_3 "3"
#define WL_AMPDU_FACTOR_DEFAULT WL_AMPDU_FACTOR_3

/* AMPDU density */
#define WL_AMPDU_DENSITY_0 "0"
#define WL_AMPDU_DENSITY_1 "1"
#define WL_AMPDU_DENSITY_2 "2"
#define WL_AMPDU_DENSITY_3 "3"
#define WL_AMPDU_DENSITY_4 "4"
#define WL_AMPDU_DENSITY_5 "5"
#define WL_AMPDU_DENSITY_6 "6"
#define WL_AMPDU_DENSITY_7 "7"
#define WL_AMPDU_DENSITY_DEFAULT WL_AMPDU_DENSITY_7

/* High Throughput Bandwidth */
#define WL_HTBW_AUTO "0"
#define WL_HTBW_20MHZ "2"
#define WL_HTBW_40MHZ "3"
#define WL_HTBW_DEFAULT WL_HTBW_20MHZ

/* 11n protection mode */ 
#define WL_N_PROTECTION_OFF "0"
#define WL_N_PROTECTION_OPTIONAL "1"
#define WL_N_PROTECTION_20MHZ "2"
#define WL_N_PROTECTION_20_40MHZ "3"
#define WL_N_PROTECTION_AUTO "4"
#define WL_N_PROTECTION_DEFAULT WL_N_PROTECTION_AUTO

/* 11g protection mode */ 
#define WL_G_PROTECTION_OFF "0"
#define WL_G_PROTECTION_AUTO "1"
#define WL_G_PROTECTION_DEFAULT WL_G_PROTECTION_AUTO


#define WL_BEACON_INTERVAL_DEFAULT "100"
#define WL_DTIM_DEFAULT "1"


#define WL_TXRATE_1MB "2" 
#define WL_TXRATE_2MB "4" 
#define WL_TXRATE_5_5MB "11" 
#define WL_TXRATE_11MB "22" 
#define WL_TXRATE_6MB "12" 
#define WL_TXRATE_9MB "18" 
#define WL_TXRATE_12MB "24" 
#define WL_TXRATE_18MB "36" 
#define WL_TXRATE_24MB "48" 
#define WL_TXRATE_36MB "72" 
#define WL_TXRATE_48MB "96" 
#define WL_TXRATE_54MB "108" 
#define WL_TXRATE_MCS_0 "256" 
#define WL_TXRATE_MCS_1 "257" 
#define WL_TXRATE_MCS_2 "258" 
#define WL_TXRATE_MCS_3 "259" 
#define WL_TXRATE_MCS_4 "260" 
#define WL_TXRATE_MCS_5 "261" 
#define WL_TXRATE_MCS_6 "262" 
#define WL_TXRATE_MCS_7 "263" 
#define WL_TXRATE_MCS_8 "264" 
#define WL_TXRATE_MCS_9 "265" 
#define WL_TXRATE_MCS_10 "266" 
#define WL_TXRATE_MCS_11 "267" 
#define WL_TXRATE_MCS_12 "268" 
#define WL_TXRATE_MCS_13 "269" 
#define WL_TXRATE_MCS_14 "270" 
#define WL_TXRATE_MCS_15 "271" 

#define WL_B_TXRATE_DEFAULT WL_TXRATE_11MB
#define WL_G_TXRATE_DEFAULT WL_TXRATE_54MB
#define WL_N_TXRATE_DEFAULT WL_TXRATE_MCS_15
#define WL_MNG_TXRATE_DEFAULT WL_TXRATE_1MB
#define WL_MCAST_TXRATE_DEFAULT WL_TXRATE_11MB

/* WMM */
#define WL_WMM_ENABLED "1"
#define WL_WMM_DISABLED "0"
#define WL_WMM_MODE_DEFAULT WL_WMM_ENABLED
#define WL_WMM_ACK_MODE_AUTO "0"
#define WL_WMM_ACK_MODE_IMMEDIATE_ACK "1"
#define WL_WMM_ACK_MODE_NO_ACK "2"
#define WL_WMM_ACK_MODE_BURST_ACK "3"
#define WL_WMM_ACK_MODE_DEFAULT WL_WMM_ACK_MODE_AUTO



/* Marvell Wireless defines */
#define NG_OP_MODE_B 1
#define NG_OP_MODE_G 2
#define NG_OP_MODE_BG 3
#define NG_OP_MODE_N 4
#define NG_OP_MODE_GN 6
#define NG_OP_MODE_BGN 7
#define NG_OP_MODE_A 8
#define NG_OP_MODE_AN 12
#define WL_MODE_DEFAULT "7"
#define WL2_MODE_DEFAULT "12"
#define TKIP "tkip"
#define AES "aes-ccmp"

/* preamble */
#define SHORT_PREAMBLE "1" 
#define LONG_PREAMBLE "2"
#define AUTO_PREAMBLE "0"
#if WIFI_TEST
#define PREAMBLE_DEFAULT LONG_PREAMBLE
#else
#define PREAMBLE_DEFAULT AUTO_PREAMBLE
#endif
/* guard interval */
#define GUARD_INTERVAL_AUTO "0"
#define GUARD_INTERVAL_SHORT "1"
#define GUARD_INTERVAL_LONG "2"
#define GUARD_INTERVAL_DEFAULT GUARD_INTERVAL_AUTO

/* Idle aging time */
#define WL_AGING_TIME_DEFAULT "180" 

/* Antenna */
#define WL_RX_ANTENNA_AUTO "0"
#define WL_RX_ANTENNA_1 "1"
#define WL_RX_ANTENNA_2 "2"
#define WL_RX_ANTENNA_3 "3"
#define WL_RX_ANTENA_DEFAULT WL_RX_ANTENNA_AUTO

/* Extension Sub-Channel (11n only) */
#define WL_EXT_SUB_CH_AUTO "0"
#define WL_EXT_SUB_CH_LOW "1"
#define WL_EXT_SUB_CH_HIGH "2"
#define WL_EXT_SUB_CH_DEFAULT WL_EXT_SUB_CH_AUTO

#define WL_ACL_DISABLED 0
#define WL_ACL_ALLOW 1
#define WL_ACL_DENY 2
#if FOR_AP
#define MAX_ACL_ENTRY 64
#else
#define MAX_ACL_ENTRY 32
#endif

/* IOT */
#define WL_OPTLEVEL_HARMONY "0"
#define WL_OPTLEVEL_HIGH_PERFORMANCE "1"
#define WL_OPTLEVEL_DEFAULT WL_OPTLEVEL_HIGH_PERFORMANCE

/* Intra BSS Bridging */
#define WL_INTRA_BSS_ENABLED "1"
#define WL_INTRA_BSS_DISABLED "0"
#define WL_INTRA_BSS_DEFAULT WL_INTRA_BSS_ENABLED

/* Rate mode */
#define WL_RATE_MODE_INDOOR "0"
#define WL_RATE_MODE_OUTDOOR "1"
#define WL_RATE_MODE_DEFAULT WL_RATE_MODE_INDOOR

	#if WL
		#define POWER_LED_SOLID() {system("echo 4 > /proc/GPIO0");}
		#define DMZ_LED_SOLID() {system("echo 0 > /proc/GPIO2");}
		#define DMZ_LED_OFF() {system("echo 4 > /proc/GPIO2");}
	#else
		#define POWER_LED_BLINK() {system("echo 0 > /proc/GPIO2");}
		//#define POWER_LED_SOLID() {system("echo 2 > /proc/GPIO2");}
		#define POWER_LED_SOLID() {system("echo 4 > /proc/GPIO2");}
#if FOR_DUALBAND
		/* GPIO0 is for AOSS BTN. */
		#define POWER_LED_GREEN() 
		#define POWER_LED_AMBER()
		#define WIRELESS_1_LED_ON() {system("echo 0 > /proc/GPIO22");}
		#define WIRELESS_1_LED_OFF() {system("echo 4 > /proc/GPIO22");}
		#define WIRELESS_2_LED_ON() {system("echo 0 > /proc/GPIO23");}
		#define WIRELESS_2_LED_OFF() {system("echo 4 > /proc/GPIO23");}
#else
		#define POWER_LED_GREEN() {system("echo 0 > /proc/GPIO0");}
		#define POWER_LED_AMBER() {system("echo 4 > /proc/GPIO0");}
#endif
		#define WAN_LED_GREEN() {system("echo 0 > /proc/GPIO3");}
		#define WAN_LED_AMBER() {system("echo 4 > /proc/GPIO3");}
	#endif	
#endif

/* Email alert */
#define EMAIL_SCHEDULE_NONE "0"
#define EMAIL_SCHEDULE_LOG_FULL "1"
#define EMAIL_SCHEDULE_HOURLY "2"
#define EMAIL_SCHEDULE_DAILY "3"
#define EMAIL_SCHEDULE_WEEKLY "4"
/* Days */
#define EMAIL_SCHEDULE_SUN "0"
#define EMAIL_SCHEDULE_MON "1"
#define EMAIL_SCHEDULE_TUE "2"
#define EMAIL_SCHEDULE_WEN "3"
#define EMAIL_SCHEDULE_THU "4"
#define EMAIL_SCHEDULE_FRI "5"
#define EMAIL_SCHEDULE_SAT "6"

/* wl0_region */
#define REGION_AFRICA			"1"
#define REGION_ASIA				"2"
#define REGION_AUSTRALIA		"3"
#define REGION_CANADA			"4"
#define REGION_EUROPE			"5"
#define REGION_FRANCE			"6"
#define REGION_ISRAEL			"7"
#define REGION_JAPAN			"8"
#define REGION_MEXICO			"9"
#define REGION_SOUTH_AMERICA	"10"
#define REGION_USA				"11"

#define DOMAIN_CODE_FCC     0x10
#define DOMAIN_CODE_IC      0x20
#define DOMAIN_CODE_ETSI    0x30
#define DOMAIN_CODE_SPAIN   0x31
#define DOMAIN_CODE_FRANCE  0x32
#define DOMAIN_CODE_MKK     0x40
#define DOMAIN_CODE_DGT    0x80
#define DOMAIN_CODE_AUS    0x81



#if NETGEAR
#undef FW_VERSION
#undef VENDOR_DOMAIN
#undef VENDOR_SSID
#undef AUTH_TITLE
#undef VENDOR_CHANNEL
#undef TIME_INDEX
#undef TIME_DIFF
#undef AUTH_USERNAME
#undef AUTH_PASSWORD
#undef UPNP_ENABLED
#undef DHCPS_START_IP
#undef MY_FW_VERSION
#undef PPPOE_IDLETIME
#undef DHCPS_END_IP

#define VENDOR_DOMAIN ""
#define VENDOR_SSID "NETGEAR"

#if FOR_AP
#define VENDOR_CHANNEL "1"
#else
#define VENDOR_CHANNEL "0" //Auto
#endif

#if FOR_AP
#define VERSION_NUM "1.3.06"
#else
#if V_1_4_XX
#define VERSION_NUM "1.4.33"
#else
#define VERSION_NUM "1.3.46"
#endif
#endif
#if WNR834M
#define MODEL_NAME "WNR834M"
#define MODEL_NAME_U "WNR834M"
#define MODEL_NAME_L "wnr834m"
#elif WN802T
#define MODEL_NAME "WN802T"
#define MODEL_NAME_U "WN802T"
#define MODEL_NAME_L "wn802t"
#elif WNR854TA
#define MODEL_NAME "WNR854TA"
#define MODEL_NAME_U "WNR854TA"
#define MODEL_NAME_L "wnr854ta"
#else //WNR854T
#define MODEL_NAME "WNR854T"
#define MODEL_NAME_U "WNR854T"
#define MODEL_NAME_L "wnr854t"
#endif
#define VENDOR_COM_L "netgear"
#define VENDOR_COM_U "NETGEAR"

#define AUTH_TITLE VENDOR_COM_U" "MODEL_NAME

#define AUTH_USERNAME "admin"
#define AUTH_PASSWORD "password"

/* 
	If WORLD_WIDE version is defined, the firmware string will not contain national
	keyword like JP, GR, and NA. 
	The available wireless channels will be changed according to it.
*/
#if __COUNTRY_US
#define COUNTRY "NA"
#define DEFAULT_REGION REGION_USA
#define TIME_INDEX "005"
#define TIME_DIFF "005+08:00"
#elif __COUNTRY_JP
#define COUNTRY "JP"
#define DEFAULT_REGION REGION_JAPAN
#define TIME_INDEX "031"
#define TIME_DIFF "031-09:00"
#elif __COUNTRY_GR
#define COUNTRY "GR"
#define DEFAULT_REGION REGION_EUROPE
#define TIME_INDEX "020"
#define TIME_DIFF "020-01:00"
#else
#define COUNTRY
#define DEFAULT_REGION REGION_EUROPE
#define TIME_INDEX "005"
#define TIME_DIFF "005+08:00"
#endif

#if FOR_DUALBAND
#define FW_VERSION "v1.11.4"
//#define MY_FW_VERSION FW_VERSION"$"WL_DRIVER
#define MY_FW_VERSION FW_VERSION"$""1.0.4-ap2"
#else
//#define FW_VERSION VERSION_NUM COUNTRY" v1.1.1 LSP TEST(2)"
#define FW_VERSION VERSION_NUM COUNTRY
#define MY_FW_VERSION FW_VERSION" Dec 27, 2006 "WL_DRIVER
#endif
#if FOR_AP
#define VENDOR_LAN_IP "192.168.0.233"
#else
#if FOR_DUALBAND
#define VENDOR_LAN_IP "192.168.11.1"
#else
#define VENDOR_LAN_IP "192.168.1.1"
#endif
#endif

#define UPNP_ENABLED "1"
#define DHCPS_START_IP "2"
#define PPPOE_IDLETIME "300"
#define DHCPS_END_IP "254"
#define PPTP_IDLETIME "300"

#endif


#if (NETGEAR && FOR_AP)
#define DEFAULT_HOSTNAME "netgear"
#else
#if NETGEAR
#define DEFAULT_HOSTNAME MODEL_NAME
#else
#define DEFAULT_HOSTNAME ""
#endif
#endif


#endif //__VENDOR_H
